﻿@import url('https://fonts.googleapis.com/css2?family=Tajawal:wght@400;500;700&display=swap');

:root {
	--fw-normal: 400;
	--fw-medium: 500;
	--fw-semi-bold: 500;
	--fw-bold: 700;
}

.slick-slide {
	float: right;
}

.number,
.numbers,
.footer .mall__contact a,
.quick__infos .info--item:nth-child(1) p,
.quick__infos .info--item:nth-child(2) p {
	direction: ltr;
}

body {
	direction: rtl;
	font-family: 'Tajawal', sans-serif;
	font-variant-numeric: normal;
	-ms-font-feature-settings: normal;
	-o-font-feature-settings: normal;
	-webkit-font-feature-settings: normal;
	font-feature-settings: normal;
}

.cta--btn {
	padding: 1rem 1.5rem .8rem 1.5rem;
}

header .search {
	right: auto;
	left: var(--header-inline-padding);
}

.site__nav ul li a {
	font-size: 1.1rem;
}

.leasing--btn--fixed {
	right: auto;
	left: 20px;
	-webkit-transform-origin: left;
	-ms-transform-origin: left;
	transform-origin: left;
	border-start-end-radius: 0;
	border-start-start-radius: 0;
	border-end-start-radius: 15px;
	border-end-end-radius: 15px;
}

.quick__infos .info--item .icon::before {
	left: auto;
	right: -10px;
}

main::after {
	left: auto;
	right: -50px;
}

.mall__intro .intro--item .content::before {
	left: auto;
	right: -30px;
}

.mall__intro .intro--item .intro--item--caption {
	left: auto;
	right: 0;
}

.mall__intro .intro--item .intro--item--caption h3 {
	line-height: 1.2;
}

.mall__intro .intro--item.shop .intro--item--caption {
	background: -o-linear-gradient(130deg, rgba(35, 31, 32, 0.53) 10.9%, rgba(35, 31, 32, 0) 39.59%);
	background: linear-gradient(320deg, rgba(35, 31, 32, 0.53) 10.9%, rgba(35, 31, 32, 0) 39.59%);
}

.mall__intro .intro--item.dine .intro--item--caption {
	background: -o-linear-gradient(150deg, rgba(35, 31, 32, 0.53) 0%, rgba(35, 31, 32, 0) 39.89%);
	background: linear-gradient(300deg, rgba(35, 31, 32, 0.53) 0%, rgba(35, 31, 32, 0) 39.89%);
}

.mall__intro .intro--item.fun .intro--item--caption {
	background: -webkit-gradient(linear, left bottom, left top, color-stop(2.68%, rgba(35, 31, 32, 0.53)), color-stop(98.95%, rgba(35, 31, 32, 0)));
	background: -o-linear-gradient(bottom, rgba(35, 31, 32, 0.53) 2.68%, rgba(35, 31, 32, 0) 98.95%);
	background: linear-gradient(0deg, rgba(35, 31, 32, 0.53) 2.68%, rgba(35, 31, 32, 0) 98.95%);
}

.whats__new::before,
.whats__new::after,
.pattern--bg::before,
.pattern--bg::after,
.footer .site__links li a::after {
	left: auto;
	right: 0;
}

.whats__new::after,
.pattern--bg::after {
	background: -webkit-gradient(linear, right top, left top, from(rgba(35, 31, 32, .6)), to(#231f20));
	background: -o-linear-gradient(right, rgba(35, 31, 32, .6), #231f20);
	background: linear-gradient(270deg, rgba(35, 31, 32, .6), #231f20);
}

.new__slider .slick-arrow.slick-prev,
.new__slider .slick-arrow.slick-next {
	left: auto;
	right: -60px;
}

.gallery--slider .slick-prev,
.gallery--slider .slick-next {
	left: auto;
	right: -70px;
}

.quick__infos .info--item h6 {
	font-size: 1.1rem;
	margin-bottom: .5rem;
}



.footer .site__links li a {
	font-size: 1rem;
}

.new__slider .new--item h5,
.footer h6 {
	font-weight: var(--fw-bold);
}

.go--top {
	right: auto;
	left: 40px;
}


select {
	background-position: left 15px center;
}

.store__content .content__wrapper aside {
	border-top-left-radius: 20px;
	border-end-end-radius: 0;
	border-end-start-radius: 20px;
}

.search__results .results p {
	font-size: 1rem;
}

.search__results .cta--btn {
	font-size: .9rem;
	padding: 1rem 1.4rem .8rem 1.4rem;
}

.store__page .page__title {
	background: url('../images/patternss-black.png') -5% center no-repeat;
	background-size: 150px;
}

.directory__list a p.category__name {
	font-weight: bold;
}

@media only screen and (-webkit-min-device-pixel-ratio: 2), only screen and (-o-min-device-pixel-ratio: 2/1), only screen and (min-resolution: 192dpi) {
	.store__page .page__title {
		background: url('../images/patternss-black@2x.png') -5% center no-repeat;
		background-size: 150px;
	}
}


@media(max-width:1200px) {
	header .site__nav {
		right: auto;
		left: 0;
		-webkit-transform: translateX(calc(var(--nav-offset) *-1));
		-ms-transform: translateX(calc(var(--nav-offset) *-1));
		transform: translateX(calc(var(--nav-offset) *-1));
	}
}

@media(max-width:992px) {
	.store__page .page__title {
		background-image: none;
	}
}

@media(max-width:768px) {
	.go--top {
		left: 20px;
	}
}
